# markSupported method

1. @override

bool markSupported()
override

Tells whether this stream supports the mark() operation.

## Returns

true if and only if this stream supports the mark operation.

## Example

    final reader = BufferedReader(FileReader('data.txt'));
    if (reader.markSupported()) {
      reader.mark(1024); // Mark current position

      // Read some data
      final preview = await reader.readLine();

      // Reset to marked position
      await reader.reset();

      // Read again from the marked position
      final actualData = await reader.readAll();
    }

## Implementation

    @override
    bool markSupported() => true;